sepolicy-interface(8)

NAME
sepolicy-interface - Print interface information based on the installed SELinux Policy

SYNOPSIS

sepolicy interface [-h] [-c] [-v] [-f FILE] [-a | -u | -l | -i INTERFACE [INTERFACE ... ]]

DESCRIPTION
Use sepolicy interface to print information of interface macros between domains in SELinux policy modules, as used in Reference Policy. The information is based on installed on-disk representation of the SELinux Policy and it may be different from the policy which is currently loaded.

OPTIONS

-a, --list_admin
    List all domains with admin interface

-c, --compile
    Test compile of interfaces

-h, --help
    Display help message

-i, --interface
    Interface(s) to be displayed

-l, --list
    List all interfaces

-u, --list_user
    List all domains with SELinux user role interface

-v, --verbose
    Display extended information about the interface including parameters and description if available.

-f, --file
    Interface file to be explored

EXAMPLE
Show description of given interface
# sepolicy interface -vi samba_rw_config
List interfaces in given interface file and show their description
# sepolicy interface -f my_policy.if -lv
Run compile test for all interfaces in given file
# sepolicy interface -f my_policy.if -lc

AUTHOR
This man page was written by Daniel Walsh <dwalsh@redhat.com>

SEE ALSO
sepolicy(8), selinux(8)